Subject: pkg/36570: Apache 1.3.37nb2 fails to build
To: None <,,>
From: None <>
List: pkgsrc-bugs
Date: 06/28/2007 04:45:00
>Number:         36570
>Category:       pkg
>Synopsis:       Apache 1.3.37nb2 fails to build
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Jun 28 04:45:00 +0000 2007
>Originator: Root
>Release:        NetBSD 3.1
Gravier Family
System: NetBSD mailhost 3.1 NetBSD 3.1 (MAILHOST) #0: Fri May 25 13:28:50 CEST 2007 root@mailhost:/usr/src/sys/arch/i386/compile/MAILHOST i386
Architecture: i386
Machine: i386
	Since this morning's update of pkgsrc tree, Apache 1.3.37nb2 fails to build. Anybody who did a make update now has a useless web server.
        cd /usr/pkgsrc/www/apache

        Resulting error messages include :

        cc -c -I/usr/pkg/include -I../../os/unix -I../../include  -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DNETBSD -DEAPI -DEAPI_MM -O2 -I/usr/pkg/include -I/usr/include `../../apaci` mod_status.c
        mod_status.c: In function `status_handler':
        mod_status.c:698: error: parse error before '}' token
        *** Error code 1

        make: stopped in /usr/pkgsrc/www/apache/work/apache_1.3.37/src/modules/standard
        *** Error code 1